%define ver_major 1.6
%define ver_base 1.6

Name: epiphany-extensions
Version: %ver_major.3
Release: alt1

Summary: Extensions for Epiphany, a GNOME web browser.
Summary(ru_RU.UTF-8): Дополнения для Epiphany, браузера для среды GNOME
License: GPL
Group: Networking/WWW
Url: http://www.gnome.org/projects/epiphany
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/sources/%name/%ver_major/%name-%version.tar.bz2

%define epiphany_ver 1.6.3

Requires: epiphany >= %epiphany_ver
BuildPreReq: epiphany-devel >= %epiphany_ver

# Automatically added by buildreq on Fri Mar 04 2005
BuildRequires: ORBit2-devel epiphany-devel gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libOpenSP-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libglade2-devel libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libstdc++-devel libxml2-devel mozilla-devel perl-XML-Parser pkgconfig xorg-x11-devel

%description
Extensions for Epiphany, a GNOME web browser based on the Mozilla rendering engine.

%description -l ru_RU.UTF-8
Дополнения для Epiphany, браузера для среды GNOME.

%prep
%setup -q

%build
export LDFLAGS=-export-dynamic
%configure \
    --with-extensions=all

%make_build

%install
%make_install DESTDIR=%buildroot install

# remove none-packaged files
%__rm -f %buildroot%_libdir/epiphany-%ver_major/extensions/*.la

%find_lang --output=%name.lang %name-%ver_base

%files -f %name.lang
%_libdir/epiphany-%ver_major/extensions/*
%_datadir/epiphany-extensions/*
%doc AUTHORS ChangeLog NEWS README TODO COPYING.*

%changelog
* Sat Apr 23 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.6.3-alt1
- 1.6.3

* Sat Apr 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.6.1-alt1
- 1.6.1

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.6.0-alt1
- 1.6.0

* Fri Mar 04 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.5.8-alt1
- 1.5.8

* Fri Jan 28 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.4.4-alt1
- 1.4.4

* Thu Dec 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.4.3-alt1
- first build for Sisyphus.
